<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MovePrevUnique Method (LockingInfo)
Cursor Class See Also

If the cursor is not yet initialized, MovePrevUnique is identical to MoveLast(LockingInfo). Otherwise, move the cursor to the previous non-duplicate key in the database, and store that key and associated datum in Current. MovePrevUnique will return false if no non-duplicate key/data pairs exist after the cursor position in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool MovePrevUnique(
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MovePrevUnique ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MovePrevUnique(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
MovePrevUnique Overload
BerkeleyDB Namespace